Skip to content

Retrieve project password policy for server accounts

Request

OPA roles:
  • resource_admin
  • delegated_resource_admin

Retrieves a password policy for a project in a resource group

Security
bearerAuth
Path
team_namestringrequired

The name of your team

resource_group_idstringrequired

The UUID of a resource group

project_idstringrequired

The UUID of a project

curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/server_password_settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
character_optionsobjectrequired

The specific characters rules required by the password policy

enable_initial_server_account_password_rotationboolean

If true, the initial password rotation is enabled for discovered server accounts that OPA manages

Default:true
enable_periodic_rotationbooleanrequired

If true, rotates account passwords after a period of time has passed. You must also set the periodic_rotation_duration_in_seconds parameter.

managed_privileged_accounts_configArray of strings

An array of managed accounts for password rotation

max_length_in_bytesintegerrequired

The maximum length allowed for the password

min_length_in_bytesintegerrequired

The minimum length allowed for the password

modified_atstring, (date-time)read-only

A timestamp indicating when the password policy was last modified

periodic_rotation_duration_in_secondsinteger

If enable_periodic_rotation is enabled, specifies how often the Okta Privileged Access platform rotates account passwords.

Response
{ "character_options": { "upper_case": true, "lower_case": true, "digits": true, "punctuation": true, "exclude_certain_symbols": [ … ], "exclude_certain_characters": [ … ] }, "enable_initial_server_account_password_rotation": true, "enable_periodic_rotation": true, "managed_privileged_accounts_config": [ "string" ], "max_length_in_bytes": 0, "min_length_in_bytes": 0, "modified_at": "2019-08-24T14:15:22Z", "periodic_rotation_duration_in_seconds": 0 }